STRUCT TEMPLATE (3)

NAME
boost::proto::context::null_eval

SYNOPSIS

// In header: <boost/proto/context/null.hpp>
template<typename Expr, typename Context>
struct null_eval {
  // types
  typedef void result_type;
  // public member functions
  void operator()(Expr &, Context &) const;
};

DESCRIPTION

  null_eval public member functions

    1.

    void operator()(Expr & expr, Context & context) const;

    For N in [0,Expr arity), evaluate:

        proto::eval(proto::child_c<N>(expr), context)